<?php	
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do przepisywania danych z bazy danych do funkcji które wyświetlają posta
	
	Black Min cms,
	
	#plik: 1.0
*/

	// skrypt przepisujący dane z bazy danych do funkcji po przez klase(post_bm) pobierającą dane o pośćie
	function query_load_post(){
		global $sprawdz_post;
		return $sprawdz_post->query_load_post();
	};
	
	function id_post(){
		global $sprawdz_post;
		return $sprawdz_post->id_post();
	};
	
	function author_post(){
		global $sprawdz_post;
		return $sprawdz_post->author_post();
	};

	function title_post(){
		global $sprawdz_post;
		return $sprawdz_post->title_post();
	};
	
	function url_post(){
		global $sprawdz_post;
		return $sprawdz_post->url_post();
	};
	
	function format_post(){
		global $sprawdz_post;
		return $sprawdz_post->format_post();
	};
	
	function category_post(){
		global $sprawdz_post;
		return $sprawdz_post->category_post();
	};
	
	function status_post(){
		global $sprawdz_post;
		return $sprawdz_post->status_post();
	};
	
	function tag_post(){
		global $sprawdz_post;
		return $sprawdz_post->tag_post();
	};
	
	function datetime_post(){
		global $sprawdz_post;
		return $sprawdz_post->datetime_post();
	};
	
	function datetime_change_post(){
		global $sprawdz_post;
		return $sprawdz_post->datetime_change_post();
	};
	
	function user_edit_post(){
		global $sprawdz_post;
		return $sprawdz_post->user_edit_post();
	};
	
	function comments_post(){
		global $sprawdz_post;
		return $sprawdz_post->comments_post();
	};
	
	function thumbnail_post(){
		global $sprawdz_post;
		return $sprawdz_post->thumbnail_post();
	};
	
	function contents_post(){
		global $sprawdz_post;
		return $sprawdz_post->contents_post();
	};
	
	// sprawdzanie poprawnośći hasła
	function validate_password_post(){
		global $sprawdz_post;
		return $sprawdz_post->validate_password_post();
	};

?>